#pragma once
#include "simpleclass.h"
#include <cstdlib>
#include <cstdio>

struct WorldBase;

class World{
	WorldBase *base;
	public:
		static const int MAXMONSTERS = 256;
		static const int MAXMISSILES = 256;

		CPlayer player;
		CMonster monsters[MAXMONSTERS];
		CMissile missiles[MAXMISSILES];


		World(const char *ip , int port);
		void makeMove();
		void run(float _vx, float _vy);
		void shoot(float _shootx, float _shooty);
		void lock();
		void unlock();
		~World();
};
